body {
  display: flex;
  justify-content: center;
  margin: 0;
  padding: 0;
  background-color: #ecdfcc;
  font-family: "Roboto", sans-serif;
}

hr {
  margin: 20px;
}

h2 {
  font-size: 1.5rem;
}
h3 {
  font-size: 1.2rem;
}

.container {
  width: 80%;
  background-color: white;
  padding-left: 20px;
  padding-right: 20px;
  margin-top: 50px;
  margin-bottom: 50px;
  border-radius: 10px;
  display: inline-block;
  flex-direction: row;
  padding-top: 25px;
  padding-bottom: 50px;
}

#header {
  text-align: center;
  display: flex;
  justify-content: space-around;
  align-items: center;
  font-size: 1.5rem;
}

#headshot {
  border-radius: 25%;
  border: 2px solid grey;
  height: 200px;
  margin-right: 50px;
}

#resume,
#education,
#about-me {
  border: 2px solid grey;
  border-radius: 20px;
  padding-left: 30px;
  padding-right: 30px;
  background-color: #ecdfcc;
  box-shadow: 2px 2px grey;
}

.skills img {
  height: 150px;
  border: 2px solid grey;
  border-radius: 15px;
  margin: 5px;
  padding: 5px;
}

#contact img {
  height: 50px;
}

.skills {
  display: grid;
  gap: 1rem;
  grid-template-columns: repeat(auto-fit, minmax(10rem, 1fr));
  grid-template-rows: auto;
  justify-items: center;
}

#projects {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.project {
  border: 2px solid grey;
  border-radius: 20px;
  padding: 10px 10px;
  text-align: center;
  width: 30%;
}

.project p {
  padding-bottom: 20px;
}

.project img {
  max-width: 100%;
  height: auto;
  flex: 1 1 auto;
  align-self: center;
  border-radius: 12px;
}

.project-link {
  margin-bottom: 10px;
}

.project-link > a {
  border: 2px solid black;
  padding: 10px 10px;
  border-radius: 50px;
  margin-bottom: 20px;
  color: white;
  background-color: black;
  text-decoration: none;
  font-weight: 700;
}

.project-link > a:hover {
  background-color: grey;
  border-color: grey;
}

#contact {
  width: 100%;
  display: flex;
  justify-content: start;
  gap: 20px;
}

@media (max-width: 650px) {
  .project {
    width: 100%;
  }

  #header {
    flex-wrap: wrap;
    justify-content: center;
  }

  #headshot {
    margin-right: 0;
  }

  .skills {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 0px;
  }

  .skills img {
    height: 100px;
  }

  li {
    padding-top: 10px;
  }

  #resume {
    padding: 15px;
  }
}
